# This file is a template, and might need editing before it works on your project.
# use the official gcc image, based on debian
# can use verions as well, like gcc:5.2
# see https://hub.docker.com/_/gcc/
image: modm/arm-none-eabi-gcc
# depending on your build setup it's most likely a good idea to cache outputs to reduce the build time

stages:
  - style
  - build

workflow:
  rules:
    - if: $CI_MERGE_REQUEST_IID
    - if: $CI_COMMIT_TAG
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

style:
  stage: style
  before_script:
    - apt-get update -qq && apt-get install -y -qq astyle
  script:
    - if (test $(astyle --dry-run --options=.astylerc --formatted Lib/SpaceCAN/include/*.h | wc -l) -eq 0); then (exit 0); else (exit 1); fi
    - if (test $(astyle --dry-run --options=.astylerc --formatted Lib/SpaceCAN/*.c | wc -l) -eq 0); then (exit 0); else (exit 1); fi

build:
  stage: build
  script:
    - make
  artifacts:
    paths:
      - build
